package org.project.item.consumables;

import org.project.entity.Entity;

// TODO: UPDATE IMPLEMENTATION
public class Flask extends Consumable
{
    public Flask(String name, int value) {
        super("Flask", 0);
    }
    /*
    THIS IS AN EXAMPLE OF A CONSUMABLE DESIGN.
    */

    // TODO: UPDATE USE METHOD
    @Override
    public void use(Entity target)
    {
        target.heal(target.getMaxHP() / 10);
        System.out.println("Used Flask! Healed " + target.getMaxHP() /10 + " HP.");
    }
}
